## org.codehaus.groovy.reflection.stdclasses
Class ArrayCachedClass

    java.lang.Object
      org.codehaus.groovy.reflection.CachedClass
          org.codehaus.groovy.reflection.stdclasses.ArrayCachedClass

    public class ArrayCachedClass

extends CachedClass

Author:
  Alex.Tkachman

Nested Class Summary

Nested classes/interfaces inherited from class org.codehaus.groovy.reflection.CachedClass
`CachedClass.CachedMethodComparatorByName, CachedClass.CachedMethodComparatorWithString`

Field Summary

Fields inherited from class org.codehaus.groovy.reflection.CachedClass
`classInfo, EMPTY_ARRAY, isArray, isInterface, isNumber, isPrimitive, modifiers, mopMethods`

Constructor Summary
`ArrayCachedClass(Class klazz, ClassInfo classInfo)`

Method Summary
`Object` `coerceArgument(Object argument)`

Methods inherited from class org.codehaus.groovy.reflection.CachedClass
`addNewMopMethods, doCast, getCachedClass, getCachedSuperClass, getCallSiteLoader, getConstructors, getDeclaredInterfaces, getFields, getHierarchy, getInterfaces, getMethods, getModifiers, getName, getNewMetaMethods, getSuperClassDistance, getTheClass, getTypeDescription, hashCode, isAssignableFrom, isDirectlyAssignable, isInterface, isPrimitive, isVoid, searchMethods, setNewMopMethods, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ArrayCachedClass

    public ArrayCachedClass(Class klazz,
                            ClassInfo classInfo)

Method Detail

### coerceArgument

    public Object coerceArgument(Object argument)

  Overrides:
    `coerceArgument` in class `CachedClass`

Copyright © 2003-2009 The Codehaus. All rights reserved.